config/routes.rb
Rails.application.routes.draw do
  devise_for :admin_users, ActiveAdmin::Devise.config
  ActiveAdmin.routes(self)
  mount ForestLiana::Engine => '/forest'
	get 'home' => 'home#home', as: 'home'

	get 'alogin' => 'session#login'
	post 'alogin' => 'session#create'
	get 'alogout' => 'session#destroy'

	get 'register' => 'register#new'
	post 'signup' => 'register#create'
	get 'profile' => 'register#profile'
	get 'edit' => 'register#edit'
	post 'edit' => 'register#update'
	get 'epass' => 'register#epass'
	post 'epass' => 'register#uppass'

	get 'login' => 'login#new'
	post 'login' => 'login#create'
	get 'logout' => 'login#destroy'

	get 'gindex' => 'galon#index'
	get 'gform' => 'galon#new'
	post 'gsave' => 'galon#create'

	get 'tindex' => 'tangki#index'
	get 'tform' => 'tangki#new'
	post 'tsave' => 'tangki#create'

	resources :galon, :only => [:show]

	resources :tangki, :only => [:show]

	root 'home#home'
end

app/models/admin_user.rb
class AdminUser < ApplicationRecord
  # Include default devise modules. Others available are:
  # :confirmable, :lockable, :timeoutable, :trackable and :omniauthable
  devise :database_authenticatable, 
         :recoverable, :rememberable, :validatable
end

app/models/application_record.rb
class ApplicationRecord < ActiveRecord::Base
  self.abstract_class = true
end

app/models/galon.rb
class Galon < ApplicationRecord
	validates :jgalon, presence: true, :numericality => {:only_integer => true}
	validates :telp, presence: true, :numericality => {:only_integer => true}
	validates :alamat, presence: true
	def sub_total
    sum = jgalon * 5000
    end
end

app/models/tangki.rb
class Tangki < ApplicationRecord
	validates :liter, presence: true
	validates :telp, presence: true, :numericality => {:only_integer => true}
	validates :alamat, presence: true
	def sub_total
    sum = liter * 70000
    end
end

app/models/user.rb
class User < ApplicationRecord
	has_secure_password
	validates :fnama, presence: true
    validates :nama, presence: true
    validates :telp, presence: true, :numericality => {:only_integer => true}
    validates :alamat, presence: true
    validates :password, confirmation: true, length: { minimum: 8 }
end

app/controllers/galon_controller.rb
class GalonController < ApplicationController
	def index
		@galons = Galon.all
	end

	def show
		@galond = Galon.find(params[:id])
	end

	def new
		@galon = Galon.new
	end

	def create
		@galon = Galon.new(galon_params)
		if @galon.save
			redirect_to @galon
		else
			redirect_to '/gform'
		end
	end

	private
	def galon_params
		params.require(:galon).permit(:jgalon, :telp, :alamat)
	end
end

app/controllers/home_controller.rb
class HomeController < ApplicationController
	def home
	end
end

app/controllers/login_controller.rb
class LoginController < ApplicationController
	def create
		user = User.find_by_nama(params[:nama])
		if user && user.authenticate(params[:password])
			session[:user_id] = user.id
			redirect_to '/'
		else
			redirect_to '/login'
		end
	end

	def destroy
		session[:user_id] = nil
		redirect_to '/login'
	end
end

app/controllers/pgalon_controller.rb
class PgalonController < ApplicationController
	def gkonfirm
		@galon = Galon.find(params[:id])
	end

	def gconfirm
		pgalon = Pgalon.new(pgalon_params)
		if pgalon.save
			redirect_to '/gstatus'
		else
			redirect_to '/gkonfirm'
		end
	end

	def status
		@pgalon = current_pgalon
	end

	private
	def pgalon_params
		params.require(:pgalon).permit(:gid, :harga)
	end
end

app/controllers/ptangki_controller.rb
class PtangkiController < ApplicationController
end

app/controllers/tangki_controller.rb
class TangkiController < ApplicationController
	def index
		@tangkis = Tangki.all
	end

	def show
		@tangkid = Tangki.find(params[:id])
	end
	
	def new
		@tangki = Tangki.new
	end

	def create
		@tangki = Tangki.new(tangki_params)
		if @tangki.save
			redirect_to @tangki
		else
			redirect_to '/tform'
		end
	end

	private
	def tangki_params
		params.require(:tangki).permit(:liter, :telp, :alamat)
	end
end

app/helpers/about_helper.rb
module AboutHelper
end

app/helpers/admin_helper.rb
module AdminHelper
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/galon_helper.rb
module GalonHelper
end

app/helpers/home_helper.rb
module HomeHelper
end

app/helpers/login_helper.rb
module LoginHelper
end

app/helpers/pgalon_helper.rb
module PgalonHelper
end

app/helpers/ptangki_helper.rb
module PtangkiHelper
end

app/helpers/register_helper.rb
module RegisterHelper
end

app/helpers/session_helper.rb
module SessionHelper
end

app/helpers/tangki_helper.rb
module TangkiHelper
end

app/views/home/home.html.erb
<%= render 'menu' %>
<% if current_user %>
<div class="container">    
  <div class="row">
    <div class="col-sm-6">
      <div class="panel panel-primary">
        <div class="panel-heading"><center>AIR TANGKI</center></div>
        <div class="panel-body"><img src="/../assets/mockup3.jpg" class="img-responsive" style="width:550px; height: 350px;"></div>
        <div class="panel-footer">
          <a href="/tform" class="btn btn-success btn-block">Pesan</a>
        </div>
      </div>
    </div>
    <div class="col-sm-6"> 
      <div class="panel panel-primary">
        <div class="panel-heading"><center>AIR GALON</center></div>
        <div class="panel-body" ><img src="/../assets/2.jpg" class="img-responsive" style="width:550px; height: 350px;"></div>
        <div class="panel-footer">
          <a href="/gform" class="btn btn-success btn-block">Pesan</a>
        </div>
      </div>
    </div>
  </div>
</div><br><br>
<% else %>
<div class="container">    
  <div class="row">
    <div class="col-sm-6">
      <div class="panel panel-primary">
        <div class="panel-heading"><center>AIR TANGKI</center></div>
        <div class="panel-body"><img src="/../assets/mockup3.jpg" class="img-responsive" style="width:550px; height: 350px;"></div>
        <div class="panel-footer">
          <a href="/login" class="btn btn-success btn-block">Pesan</a>
        </div>
      </div>
    </div>
    <div class="col-sm-6"> 
      <div class="panel panel-primary">
        <div class="panel-heading"><center>AIR GALON</center></div>
        <div class="panel-body" ><img src="/../assets/2.jpg" class="img-responsive" style="width:550px; height: 350px;"></div>
        <div class="panel-footer">
          <a href="/login" class="btn btn-success btn-block">Pesan</a>
        </div>
      </div>
    </div>
  </div>
</div><br><br>
<% end %>
<%= render 'footer' %>

app/views/login/_error.html.erb
<style>
	#error_explanation {
		color: #f00;
		ul {
			list-style: none;
			margin: 0 0 18px 0;
		}
	}

	.field_with_errors {
		@extend .has-error;
	}
</style>

<% if @user.errors.any? %>
<div id="error_explanation">
	<div class="alert alert-danger">
		The form contains <%= pluralize(@user.errors.count, "error") %>.
	</div>
	<ul>
		<% @user.errors.full_messages.each do |msg| %>
		<li><%= msg %></li>
		<% end %>
	</ul>
</div>
<% end %>

app/views/login/new.html.erb
<%= render 'menu' %>

<div class="row">
  <div class="col-lg-12">
    <div class="panel panel-default">
      <div class="card" style="background-color: lightgreen;">
        <div class="card-body">
          <div class="col-md-4 col-md-offset-4">
            <div class="panel panel-default">
              <div class="card">

                <%= form_with url: login_path do |form| %>

                  <div style="margin:0;padding:0">
                    <input name="utf8" type="hidden" value="&#x2713;" />
                    <input name="authenticity_token" type="hidden" value="f755bb0ed134b76c432144748a6d4b7a7ddf2b71" />
                  </div>

                  <div class="card-header" style="background-color: lightblue;">
                    <h3 align="center"><strong>Login</strong></h3>
                    <hr>
                  </div>

                  <div class="card-body">
                    <div class="form-group">
                      <label for="username">Username</label>
                      <%= text_field_tag :nama %>
                    </div>

                    <div class="form-group">
                      <label for="password">Password</label>
                      <%= password_field_tag %>
                    </div>
                  </div>

                  <div class="card-footer">
                    <%= form.submit 'Login', class: "btn btn-block btn-primary" %>
                    <a href=" <%= register_path %>" class="btn btn-success btn-block">Daftar Akun</a>
                    <p class="message" align="center">Masuk sebagai admin <a href="<%= new_admin_user_session_path %>">Sign In</a></p>
                  </div>

                <% end %>

              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<%= render 'footer' %>

app/views/pgalon/konfirmasi.html.erb
<%= render 'menu' %>

<div class="container">
	<div class="row">
		<h1><center><strong>Konfirmasi Pemesanan</center></strong></h1>
		<hr>
		<div class="panel panel-default">
			<div class="panel-body">

				<form class="form-horizontal" action="<%= gconfirm_url %>" method="post">
					<div style="margin:0;padding:0">
                    <input name="utf8" type="hidden" value="&#x2713;" />
                    <input name="authenticity_token" type="hidden" value="f755bb0ed134b76c432144748a6d4b7a7ddf2b71" />
                  </div>

					<div class="form-group">
						<label class="control-label col-sm-3">Id Galon:</label>
						<div class="col-sm-6">
							<label class="control-label" id="gid" name="pgalon[gid]"><%= @galon.galon_id %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Jumlah Galon:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @galon.jgalon %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3" for="telp">No. Telepon:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @galon.telp %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Alamat:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @galon.alamat%></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Harga:</label>
						<div class="col-sm-6">
							<label class="control-label" id="harga" name="pgalon[harga]"><%= number_to_currency(@pgalon.total) %></label>
						</div>
					</div>
					<div class="card-footer">
                    <input name="submit" type="submit" value="Pesan" class="btn btn-primary btn-block">
                    <a href="#" class="btn btn-danger btn-block"> Batal</a>
                  </div>
				</form>
				<hr>
			</div>
		</div>
	</div>
</div>

<%= render 'footer' %>

app/views/ptangki/konfirmasi.html.erb
<%= render 'menu' %>

<div class="container">
	<div class="row">
		<h1><center><strong>Konfirmasi Pemesanan</center></strong></h1>
		<hr>
		<div class="panel panel-default">
			<div class="panel-body">

				<form class="form-horizontal" action="<%= tconfirm_url %>" method="post">
					<div class="form-group">
						<label class="control-label col-sm-3">Jumlah Tangki:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @tangki.liter %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3" for="telp">No. Telepon:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @tangki.telp %></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Alamat:</label>
						<div class="col-sm-6">
							<label class="control-label"><%= @tangki.alamat%></label>
						</div>
					</div>

					<div class="form-group">
						<label class="control-label col-sm-3">Harga:</label>
						<div class="col-sm-6">
							<label class="control-label"></label>
						</div>
					</div>
					<div class="card-footer">
                    <input name="submit" type="submit" value="Pesan" class="btn btn-primary btn-block">
                    <a href="#" class="btn btn-danger btn-block"> Batal</a>
                  </div>
				</form>
				<hr>
			</div>
		</div>
	</div>
</div>

<%= render 'footer' %>